<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: /home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/sdio.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/sdio.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * Standard SDIO definitions.</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef SDIOEMB_SDIO_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define SDIOEMB_SDIO_H</span>
00011 <span class="preprocessor"></span>
00012 <span class="comment">/* Maximum time for VDD to rise to VDD min. */</span>
00013 <span class="preprocessor">#define SDIO_POWER_UP_TIME_MS 250</span>
00014 <span class="preprocessor"></span>
00015 <span class="comment">/* Minimum SD bus clock a card must support (Hz). */</span>
00016 <span class="preprocessor">#define SDIO_CLOCK_FREQ_MIN 400000</span>
00017 <span class="preprocessor"></span>
00018 <span class="comment">/* Maximum clock frequency for normal mode (Hz).</span>
00019 <span class="comment"> * </span>
00020 <span class="comment"> * Although high speed mode should be suitable for all speeds not all</span>
00021 <span class="comment"> * controller/card combinations are capable of meeting the higher</span>
00022 <span class="comment"> * tolerances for (e.g.) clock rise/fall times.  Therefore, default</span>
00023 <span class="comment"> * mode is used where possible for improved compatibility. */</span>
00024 <span class="preprocessor">#define SDIO_CLOCK_FREQ_NORMAL_SPD 25000000</span>
00025 <span class="preprocessor"></span>
00026 <span class="comment">/* Maximum clock frequency for high speed mode (Hz). */</span>
00027 <span class="preprocessor">#define SDIO_CLOCK_FREQ_HIGH_SPD   50000000</span>
00028 <span class="preprocessor"></span>
00029 <span class="preprocessor">#define SDIO_MAX_FUNCTIONS 8 </span><span class="comment">/* incl. F0 */</span>
00030 
00031 <span class="comment">/* Command argument format. */</span>
00032 
00033 <span class="preprocessor">#define SDIO_CMD52_ARG_WRITE   0x80000000</span>
00034 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CMD52_ARG_FUNC(f) ((f) &lt;&lt; 28)</span>
00035 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CMD52_ARG_ADDR(a) ((a) &lt;&lt; 9)</span>
00036 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CMD52_ARG_DATA(d) ((d) &lt;&lt; 0)</span>
00037 <span class="preprocessor"></span>
00038 <span class="preprocessor">#define SDIO_CMD53_ARG_WRITE    0x80000000</span>
00039 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CMD53_ARG_FUNC(f)  ((f) &lt;&lt; 28)</span>
00040 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CMD53_ARG_BLK_MODE 0x08000000</span>
00041 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CMD53_ARG_ADDR(a)  ((a) &lt;&lt; 9)</span>
00042 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CMD53_ARG_CNT(c)   ((c) &lt;&lt; 0)</span>
00043 <span class="preprocessor"></span>
00044 <span class="comment">/* Response format. */</span>
00045 
00046 <span class="preprocessor">#define SDIO_R5_DATA(r) (((r) &gt;&gt; 0) &amp; 0xff)</span>
00047 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_R5_OUT_OF_RANGE    (1 &lt;&lt;  8)</span>
00048 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_R5_FUNCTION_NUMBER (1 &lt;&lt;  9)</span>
00049 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_R5_ERROR           (1 &lt;&lt; 11)</span>
00050 <span class="preprocessor"></span>
00051 <span class="comment">/* Register offsets and bits. */</span>
00052 
00053 <span class="preprocessor">#define SDIO_OCR_CARD_READY     0x80000000</span>
00054 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_OCR_NUM_FUNCS_MASK 0x70000000</span>
00055 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_OCR_NUM_FUNCS_OFFSET 28</span>
00056 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_OCR_VOLTAGE_3V3    0x00300000 </span><span class="comment">/* 3.2-3.3V &amp; 3.3-3.4V */</span>
00057 
00058 <span class="preprocessor">#define SDIO_CCCR_SDIO_REV       0x00</span>
00059 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_SD_REV         0x01</span>
00060 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_IO_EN          0x02</span>
00061 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_IO_READY       0x03</span>
00062 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_INT_EN         0x04</span>
00063 <span class="preprocessor"></span><span class="preprocessor">#  define SDIO_CCCR_INT_EN_MIE   0x01</span>
00064 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_INT_PENDING    0x05</span>
00065 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_IO_ABORT       0x06</span>
00066 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_BUS_IFACE_CNTL 0x07</span>
00067 <span class="preprocessor"></span><span class="preprocessor">#  define SDIO_CCCR_BUS_IFACE_CNTL_CD_R_DISABLE 0x80</span>
00068 <span class="preprocessor"></span><span class="preprocessor">#  define SDIO_CCCR_BUS_IFACE_CNTL_ECSI         0x20</span>
00069 <span class="preprocessor"></span><span class="preprocessor">#  define SDIO_CCCR_BUS_IFACE_CNTL_4BIT_BUS     0x02</span>
00070 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_CARD_CAPS      0x08</span>
00071 <span class="preprocessor"></span><span class="preprocessor">#  define SDIO_CCCR_CARD_CAPS_LSC  0x40</span>
00072 <span class="preprocessor"></span><span class="preprocessor">#  define SDIO_CCCR_CARD_CAPS_4BLS 0x80</span>
00073 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_CIS_PTR        0x09</span>
00074 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_BUS_SUSPEND    0x0c</span>
00075 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_FUNC_SEL       0x0d</span>
00076 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_EXEC_FLAGS     0x0e</span>
00077 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_READY_FLAGS    0x0f</span>
00078 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_F0_BLK_SIZE    0x10</span>
00079 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_PWR_CNTL       0x12</span>
00080 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CCCR_HIGH_SPEED     0x13</span>
00081 <span class="preprocessor"></span><span class="preprocessor">#  define SDIO_CCCR_HIGH_SPEED_SHS 0x01</span>
00082 <span class="preprocessor"></span><span class="preprocessor">#  define SDIO_CCCR_HIGH_SPEED_EHS 0x02</span>
00083 <span class="preprocessor"></span>
00084 <span class="preprocessor">#define SDIO_FBR_REG(f, r) (0x100*(f) + (r))</span>
00085 <span class="preprocessor"></span>
00086 <span class="preprocessor">#define SDIO_FBR_STD_IFACE(f)     SDIO_FBR_REG(f, 0x00)</span>
00087 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_FBR_STD_IFACE_EXT(f) SDIO_FBR_REG(f, 0x01)</span>
00088 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_FBR_CIS_PTR(f)       SDIO_FBR_REG(f, 0x09)</span>
00089 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_FBR_CSA_PTR(f)       SDIO_FBR_REG(f, 0x0c)</span>
00090 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_FBR_CSA_DATA(f)      SDIO_FBR_REG(f, 0x0f)</span>
00091 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_FBR_BLK_SIZE(f)      SDIO_FBR_REG(f, 0x10)</span>
00092 <span class="preprocessor"></span>
00093 <span class="preprocessor">#define SDIO_STD_IFACE_UART      0x01</span>
00094 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_STD_IFACE_BT_TYPE_A 0x02</span>
00095 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_STD_IFACE_BT_TYPE_B 0x03</span>
00096 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_STD_IFACE_GPS       0x04</span>
00097 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_STD_IFACE_CAMERA    0x05</span>
00098 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_STD_IFACE_PHS       0x06</span>
00099 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_STD_IFACE_WLAN      0x07</span>
00100 <span class="preprocessor"></span>
00101 <span class="comment">/*</span>
00102 <span class="comment"> * Manufacturer and card IDs.</span>
00103 <span class="comment"> */</span>
00104 <span class="preprocessor">#define SDIO_MANF_ID_CSR        0x032a</span>
00105 <span class="preprocessor"></span>
00106 <span class="preprocessor">#define SDIO_CARD_ID_CSR_UNIFI_1        0x0001</span>
00107 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CARD_ID_CSR_UNIFI_2        0x0002</span>
00108 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CARD_ID_CSR_BC6            0x0004</span>
00109 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CARD_ID_CSR_DASH_D00       0x0005</span>
00110 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CARD_ID_CSR_BC7            0x0006</span>
00111 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CARD_ID_CSR_CINDERELLA     0x0007</span>
00112 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_CARD_ID_CSR_DASH           0x0010</span>
00113 <span class="preprocessor"></span>
00114 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef SDIOEMB_SDIO_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
